RubyGems Navigation menu

valid_array 0.1.1

The valid_array gem provides to create an Array that enforces certian properties. Each element added to the array is passed to a validator function written by you. This function can raise errors, drop items or change them. vaild_array also provides compatibility with the typed-array gem. There is both 'valid_array/typed_array' which imports to `ValidArray::TypedArray` and a fully compatible 'valid-array' which passes 'valid-array's own test suite.

Versions:

  1. 0.1.1 - October 18, 2013 (10 KB)
  2. 0.1.0 - August 28, 2013 (10 KB)

Development Dependencies:

Authors:

  • Kevin Cox, Ryan Biesemeyer

Owners:

97da960b1e3c32233b7e2424270e5665

Total downloads 1,094

For this version 595

Required Ruby Version: None

Licenses:

MIT

Gemfile:
gem 'valid_array', '~> 0.1.1' = Copy to clipboard Copied!

install:
gem install valid_array = Copy to clipboard Copied!

Links: